Summary:	SLAP - SEIKO SmartLabel Printing Utility
Name:		slap
Version:	2r4p4
Release:	1mdk
License:	GPL
Group:		Publishing

# SLAP
Source:		http://members.tripod.com/~uutil/slap/%{name}%{version}.tar.bz2
# Static library needed by SLAP
Source1:	http://members.tripod.com/~uutil/slap/mjsulib3r0p1.tar.bz2
# Menu icon
Source2:	slap.png.bz2

Url:		http://members.tripod.com/~uutil/slap/
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
SLAP is a UNIX command line program that prints labels on many SEIKO Smart
Label Printers. It prints only text, no graphics, PostScript, and so on.
The text can be printed in 16 different fonts and in 6 font sizes. Enter
"man slap" at the command prompt for more info.

%prep

# Clean up
rm -rf $RPM_BUILD_DIR/%name

# Load source code
%setup -n slap
%setup -T -D -a 1 -n $RPM_BUILD_DIR/%name

# Correct file permissions
chmod -R u+w *

# Load menu icon
bzcat %SOURCE2 > $RPM_BUILD_DIR/%name/slap.png

%build

# Compile static library
mkdir mjsulibfiles
cd mjsulib/
./Configure $RPM_BUILD_DIR/%name/mjsulibfiles
%make install
cd ..

# Compile SLAP
yes | ./Configure $RPM_BUILD_ROOT/usr
# Set library path
perl -p -i -e 's!/somewhere!/'$RPM_BUILD_DIR'/%name/mjsulibfiles!' makefile
# Correct path for man pages
perl -p -i -e 's!man/man1!share/man/man1!' makefile
%make

# Compile SLAP font converter
%make sdk

%install

# Clean up
rm -fr %buildroot

# Install SLAP
%makeinstall

# Install font converter
install -m 755 makefont %buildroot/%_bindir

# install menu icon
install -d %buildroot/%_datadir/icons/locolor/16x16/apps
install -m 644 slap.png %buildroot/%_iconsdir/locolor/16x16/apps

# install menu entry
install -d %buildroot/%_menudir
cat <<EOF > %buildroot/%_menudir/slap
?package(slap): needs=text \
section=Applications/Publishing \
title="SLAP - SEIKO SmartLabel Printers" \
longtitle="Printing text in different fonts on SEIKO SmartLabel Printers" \
command="man slap" \
icon="%_iconsdir/locolor/16x16/apps/slap.png"
EOF

# Correct file permissions
chmod -R u+w %buildroot/*


%post
%update_menus

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc *.txt 9devnotes COPYING FAQ.htm HOWTO
%_bindir/*
%_iconsdir/locolor/16x16/apps/*
%_libdir/slap*
%_libdir/menu/*
%_mandir/man*/*

%changelog
* Wed Feb 21 2001 Till Kamppeter <till@mandrakesoft.com> 2r4p4-1mdk
- initial release
